View Issue Details

IDProjectCategoryView StatusLast Update
0004180unrealircdpublic2014-01-12 10:49
ReporterVizierAssigned Tosyzop 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionwon't fix 
PlatformWindows 32bitOSWindows 2000 server SP4OS Version5.00.2195
Product Version3.2.10 
Target VersionFixed in Version 
Summary0004180: wircd.exe crashes on start
DescriptionWhen i start wircd.exe (using shortcut) i always get this popup:
wircd.exe - Entry Point Not Found : The procedure entry point RtlCaptureContext could not be located in the dynamic link library KERNEL32.dll.
Additional InformationAdditional information you can find in the attached file.
TagsNo tags attached.
3rd party modules

Activities

Vizier

2013-03-19 07:26

reporter  

Unreal 3.2.10.txt (1,523 bytes)

syzop

2013-03-20 09:21

administrator   ~0017463

I know we ditched Windows 95/98 support, but I thought Windows 2000 would still be working. So if it was broken, then it was at least not an intentional decision by me (else we would have updated the docs) ;)

I don't know how hard it is to fix. Like, we don't use RtlCaptureContext directly, so it must be some function we use that triggers this (or something else). If it's only changing a few lines then sure. But if we have to recompile with a different compiler or library then it's much less likely that it will be fixed.

One thing we should keep in mind is that Microsoft dropped support for W2K on July, 2010.

Anyway, thanks for the report, we'll look at it.

Vizier

2013-03-21 04:32

reporter   ~0017464

Well, I have a licence for Windows 2003 server so i guess i will upgrade.
Anyway thank you for your answer.

syzop

2014-01-12 10:49

administrator   ~0017881

Last edited: 2014-01-12 10:49

View 2 revisions

I'll update our documentation that Windows 2000 is no longer reported. Thanks for the report.

EDIT: oh, apparently I already did that ;).

Issue History

Date Modified Username Field Change
2013-03-19 07:26 Vizier New Issue
2013-03-19 07:26 Vizier File Added: Unreal 3.2.10.txt
2013-03-20 09:21 syzop Note Added: 0017463
2013-03-21 04:32 Vizier Note Added: 0017464
2014-01-12 10:49 syzop Note Added: 0017881
2014-01-12 10:49 syzop Status new => resolved
2014-01-12 10:49 syzop Resolution open => won't fix
2014-01-12 10:49 syzop Assigned To => syzop
2014-01-12 10:49 syzop Note Edited: 0017881 View Revisions
2014-03-14 01:14 peterkingalexander Issue cloned: 0004268